> For the complete documentation index, see [llms.txt](https://docs.ladybug.tools/ladybug-primer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ladybug.tools/ladybug-primer/components/1_analyzedata/construct_header.md).

# Construct Header

![](/files/-MihilDLAS0ESbHoXwSj)

![](/files/-MihilDOM-XPPdbywYji) - [\[source code\]](https://github.com/ladybug-tools/ladybug-grasshopper/blob/master/ladybug_grasshopper/src//LB%20Construct%20Header.py)

Construct a Ladybug Header to be used to create a ladybug DataCollection.

### Inputs

* **data\_type \[Required]**

Text representing the type of data (e.g. Temperature). A full list of acceptable inputs can be seen by checking the all\_u output of the "LB Unit Converter" component. This input can also be a custom DataType object that has been created with the "LB Construct Data Type" component.

* **unit**

Units of the data\_type (e.g. C). Default is to use the base unit of the connected\_data\_type.

* **a\_period**

Script variable constrData

* **metadata**

Optional metadata to be associated with the Header. The input should be a list of text strings with a property name and value for the property separated by a colon. For example: . source: TMY . city: New York . country: USA

### Outputs

* **header**

A Ladybug Header object.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ladybug.tools/ladybug-primer/components/1_analyzedata/construct_header.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
